2008-03-17  Wang Xin  <jedy.wang@sun.com>

	* src/libical/icaltimezone.c: Handle WET, MET and EET timezones
	in zone_sun.tab on Solaris.

2008-02-28  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #518744
	* src/libical/icalparser.c: (make_segment),
	(icalparser_get_prop_name), (icalparser_get_param_name),
	(icalparser_get_next_paramvalue), (icalparser_get_next_value),
	(icalparser_get_next_parameter), (icalparser_add_line): Do not
	allocate memory in tmp buffer for get_param_name function.								

2008-02-25  Matthew Barnes  <mbarnes@redhat.com>

	* src/test/regression-component.c:
	#include <stdlib.h> for free()

2008-02-25  Chenthill Palanisamy  <pchenthill@novell.com>

	* src/libical/ical.h: define LIBICAL_MEMFIXES to 1
	for clients to free memory based on this.

2008-02-19  Chenthill Palanisamy  <pchenthill@novell.com>

	* src/libical/ical.h: Warn the clients including
	the header to ensure the memory returned by libical
	is free'ed properly.

2008-02-14  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #516408
	* examples/access_properties_and_parameters.c (test_properties):
	* examples/parse_text.c (parse_text):
	* examples/usecases.c (test_values), (test_parameters):
	* src/libical/icalcomponent.c (icalcomponent_as_ical_string):
	* src/libical/icalduration.c (icaldurationtype_as_ical_string):
	* src/libical/icalenums.c (icalenum_reqstat_code):
	* src/libical/icallangbind.c (icallangbind_property_eval_string),
	(icallangbind_quote_as_ical):
	* src/libical/icallangbind.h:
	* src/libical/icalmemory.c (ring_destroy),
	(icalmemory_add_tmp_buffer), (icalmemory_free_ring_byval):
	* src/libical/icalmime.c (icalmime_text_end_part):
	* src/libical/icalparameter.c (icalparameter_as_ical_string):
	* src/libical/icalparser.c (icalparser_parse):
	* src/libical/icalperiod.c (icalperiodtype_as_ical_string):
	* src/libical/icalperiod.h:
	* src/libical/icalproperty.c (fold_property_line),
	(icalproperty_as_ical_string),
	(icalproperty_get_parameter_as_string),
	(icalproperty_get_value_as_string),
	(icalproperty_get_property_name):
	* src/libical/icalproperty.h:
	* src/libical/icalrecur.c (icalrecurrencetype_as_string):
	* src/libical/icaltime.c (icaltime_as_ical_string):
	* src/libical/icaltime.h:
	* src/libical/icaltypes.c (icalreqstattype_as_string):
	* src/libical/icaltypes.h:
	* src/libical/icalvalue.c (icalvalue_binary_as_ical_string),
	(icalvalue_int_as_ical_string),
	(icalvalue_utcoffset_as_ical_string),
	(icalvalue_string_as_ical_string), (icalvalue_text_as_ical_string),
	(icalvalue_attach_as_ical_string), (icalvalue_date_as_ical_string),
	(icalvalue_datetime_as_ical_string),
	(icalvalue_float_as_ical_string), (icalvalue_geo_as_ical_string),
	(icalvalue_datetimeperiod_as_ical_string),
	(icalvalue_period_as_ical_string),
	(icalvalue_trigger_as_ical_string), (icalvalue_as_ical_string),
	(icalvalue_compare), (icalvalue_encode_ical_string):
	* src/libical/icalvalue.h:
	* src/libicalcap/client.c (msg_handler), (main):
	* src/libicalcap/icalcap_rr.c (icalcap_message_new_rr),
	(icalcap_message_new_reply_rr):
	* src/libicalcap/icalcap_utils.c (msg_parse):
	* src/libicalss/icalbdbset.c (icalbdbset_commit),
	(icalbdbset_get_id):
	* src/libicalss/icalclassify.c (icalssutil_is_rescheduled):
	* src/libicalss/icalcluster.c (icalcluster_get_component):
	* src/libicalss/icalcstpclient.c (icalcstpc_next_output):
	* src/libicalss/icalfileset.c (icalfileset_commit),
	(icalfileset_get_id):
	* src/test/copycluster.c (main):
	* src/test/findobj.c (main):
	* src/test/icaltestparser.c (main):
	* src/test/process.c (send_message), (main):
	* src/test/recur.c (main):
	* src/test/regression-classify.c (test_classify):
	* src/test/regression-component.c (create_simple_component),
	(create_new_component), (create_new_component_with_va_args):
	* src/test/regression-cxx.cpp:
	* src/test/regression-recur.c (test_recur_file):
	* src/test/regression-storage.c (test_fileset_extended),
	(test_bdbset), (test_dirset_extended):
	* src/test/regression.c (test_values), (test_properties),
	(test_parameters), (test_components), (test_memory), (test_dirset),
	(test_restriction), (print_occur), (test_recur_parameter_bug),
	(test_duration), (test_period), (test_strings), (test_requeststat),
	(do_test_time), (test_overlaps), (test_fblist), (test_convenience),
	(test_recur_parser), (test_x), (test_gauge_compare), (test_action),
	(test_trigger), (test_rdate), (test_langbind),
	(test_property_parse), (test_value_parameter), (test_x_parameter),
	(test_x_property), (test_utcoffset), (test_attach), (test_vcal):
	* src/test/storage.c (test_fileset), (test_bdbset), (test_dirset):
	* src/test/stow.c (return_failure), (check_component):
	* src/test/testclassify.c (main):
	* src/test/testmime.c (main):
	* src/test/testvcal.c (main): Do not own the memory which is exposed to
	the clients. Reduce the size of the ring buffer to 2 as that it was would
	be needed with the changes made.					  					 

2008-01-29  Tor Lillqvist  <tml@novell.com>

	* configure.in
	* Makefile.am: Use automake conditional to set zoneinfo_dir
	instead of setting variable directly in the configure script. Then
	automake won't barf when run in evolution-data-server which
	includes libical.

2008-01-23  Tor Lillqvist  <tml@novell.com>

	* src/libical/icaltz-util.c: Implement byteorder macros on Win32.

2007-12-12  Christian Krause  <chkr@plauener.de>

	** Fix for bug #487687

	* src/libical/icalvalue.c: (icalvalue_new_from_string_with_error):
	Do not dereference NULL when a geo parsing error occurs. 

2007-11-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #492426 by Robert Noland

	* src/libical/icaltz-util.c: (find_transidx):
	Do not iterate beyond bounds of the array.

2007-10-22  Matthew Barnes  <mbarnes@redhat.com>

	* src/libicalss/icalssyacc.y:
	Add a function declaration for sslex().

	* src/libicalvcal/vcc.y:
	Add a function declaration for mime_lex().

2007-10-04  Milan Crha  <mcrha@redhat.com>

	* src/libical/icaltz-util.c: (icaltzutil_fetch_timezone):
	Fixed leak in this function.

2007-09-10  Chenthill Palanisamy  <pchenthill@novell.com>

	* zoneinfo/Africa/Cairo.ics:
	* zoneinfo/America/Grand_Turk.ics:
	* zoneinfo/America/Havana.ics:
	* zoneinfo/America/Port-au-Prince.ics:
	* zoneinfo/Antarctica/McMurdo.ics:
	* zoneinfo/Antarctica/South_Pole.ics:
	* zoneinfo/Asia/Choibalsan.ics:
	* zoneinfo/Asia/Damascus.ics:
	* zoneinfo/Australia/Broken_Hill.ics:
	* zoneinfo/Australia/Hobart.ics:
	* zoneinfo/Australia/Lord_Howe.ics:
	* zoneinfo/Australia/Sydney.ics:
	* zoneinfo/Pacific/Auckland.ics:
	* zoneinfo/Pacific/Chatham.ics: Updated the timezones.

2007-08-30  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #298788 (bnc)
	* src/libical/icaltz-util.c: (find_transidx),
	(icaltzutil_fetch_timezone): Fixes crash in
	64 bit architectures.

2007-08-28  Ross Burton  <ross@openedhand.com>

	* src/libical/icallangbind.c:
	* src/libical/icalderivedparameter.c.in:
	* src/test/process.c:
	* src/test/regression.c:
	* src/test/regression-storage.c:
	* src/test/testmime.c:
	* src/test/regression-classify.c:
	* src/libicalss/icalset.c:
	Add missing config.h includes (part of #271841)

2007-08-24  Milan Crha  <mcrha@redhat.com>

	** Partial fix for bug #458753 by DULMANDAKH Sukhbaatar

	* zoneinfo/Asia/Ulaanbaatar.ics: Removes DST.

2007-08-21  Wang Xin  <jedy.wang@sun.com>

	* src/libical/icaltz-util.c: Fix #462499. Patch from
	damien.carbery@sun.com.

2007-08-15  Wang Xin  <jedy.wang@sun.com>

	Fix #464252.

	* src/libical/icaltz-util.c: Search zone info in /usr/share/lib/zoneinfo,
	not /usr/share/lib/zoneinfo/tab.
	* src/libical/icaltz-util.h: On Solaris, zone tab is
	/usr/share/zoneinfo/tab/zone_sun.tab. So define ZONES_TAB_SYSTEM_FILENAME
	to "tab/zone_sun.tab" not zone_sun.tab.
	* src/libical/icaltimezone.c: Move ZONES_TAB_SYSTEM_FILENAME to icaltz-util.h
	because it's used by icaltz-util.c too.

2007-08-13  Ross Burton  <ross@openedhand.com>

	* src/libical/sspm.[ch]:
	Add consts to fix compile warnings.

2007-08-09  Jeff Cai<jeff.cai@sun.com>

	* src/libical/icaltimezone.c:
	* src/libical/icaltz-util.c: (set_zone_directory):
	Use /usr/share/lib/zoneinfo/tab/zone_sun.tab on Solaris
	Fix #464252

2007-08-01  Veerapuram Varadhan  <vvaradhan@novell.com>

	* Makefile.am:  Define DIST_SUBDIRS and add zoneinfo to it.  Fixes
	build break on release-tarballs.
	
2007-08-01  Chenthill Palanisamy  <pchenthill@novell.com>

	* Makefile.am:
	* configure.in: Install the timezone files only on
	win32 systems.

2007-07-31  Milan Crha  <mcrha@redhat.com>

	** Partially fixes bug #327851

	* src/libical/icaltimezone.c:
	(icaltimezone_get_builtin_timezone_from_tzid):
	Do not check for exact time zone id.

2007-07-31  Matthew Barnes  <mbarnes@redhat.com>

	* src/libical/icaltimezone.c: Fix implicit declaration of
	isspace() by including <ctype.h>.

2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	* src/libical/icaltz-util.[ch]: Updated the license 
	information.

2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	* src/libical/Makefile.am:
	* src/libical/icaltimezone.c: (icaltimezone_get_builtin_timezone),
	(parse_coord), (fetch_lat_long_from_string),
	(icaltimezone_parse_zone_tab),
	(icaltimezone_load_builtin_timezone):
	* src/libical/icaltz-util.c: (decode), (zname_from_stridx),
	(find_transidx), (set_zone_directory),
	(icaltzutil_get_zone_directory), (icaltzutil_fetch_timezone):
	* src/libical/icaltz-util.h: Reads the timezone information from
	the system instead of the timezone files which we maintain. The files
	are not removed since windows systems would still need them.									     
2007-06-09  Loïc Minier  <lool@dooz.org>

	* configure.in: Use more specific "src/libical/ical.h" in AC_INIT()
	instead of the generic "src"; remove AC_CONFIG_AUX_DIR() override
	which was incorrect and was causing rebuilds to fail (#443705)

2007-06-01  Pascal Terjan  <pterjan@linuxfr.org>

	* zoneinfo/Asia/Jerusalem.ics: add a timezone name for 
	Asia/Jerusalem (#425129)

2007-05-24  Pascal Terjan  <pterjan@linuxfr.org>

	* calendar/libical/src/libical/icaltimezone.c: Fix a crash when
	the timezone has no name (#425129)

2007-05-24  Pascal Terjan  <pterjan@linuxfr.org>

	* zoneinfo/Australia/Perth.ics: add a timezone name for 
	Australia/Perth (#425129)

2007-05-18  Matthew Barnes  <mbarnes@redhat.com>

	* src/libical/icalvalue.c: Fix implicit function declarations.

2007-05-12 Dodji Seketeli <dodji@openedhand.com>

	* calendar/libical/src/libical/icalvalue.c:
	  (icalvalue_new_from_string_with_error): add support for parsing
	  GEO properties.


2007-04-16  Ross Burton  <ross@openedhand.com>

	* scripts/mkrestrictiontable.pl:
	* scripts/mkderivedproperties.pl:
	* scripts/mkderivedvalues.pl:
	* scripts/mkderivedparameters.pl:
	* src/libical/icalrestriction.c.in:
	* src/libical/icalrecur.c:
	* src/libical/icalcomponent.c:
	* src/libical/icalenums.c:
	* src/libical/icalmime.c:
	* src/libical/icalerror.c:
	* src/libical/icalerror.h:
	* src/libicalss/icalclassify.c:
	* src/libicalvcal/icalvcal.c:
	* src/libicalvcal/vobject.c:
	Add numerous static and const keywords to move large arrays into
	shared memory (#318176).

2007-04-09  Chenthill Palanisamy  <pchenthill@novell.com>

	Committing on behalf of Thomas Klausner <wiz%@danbala.tuwien.ac.at>
	* configure.in: Use = instead of == for test(1) construct.
	Fixes #362726

2007-03-27  Harish Krishnaswamy <kharish@novell.com>

	* src/libical/icalvalue.c (icalvalue_decode_ical_string) :
	Plug a possible memory leak. Fixes Bug #384044.
	Patch submitted by Matt Davey.

2007-03-05  Chenthill Palanisamy  <pchenthill@novell.com>

	Partly fixes #301363
	* zoneinfo/Africa/Cairo.ics:
	* zoneinfo/Africa/Tunis.ics:
	* zoneinfo/America/Adak.ics:
	* zoneinfo/America/Anchorage.ics:
	* zoneinfo/America/Araguaina.ics:
	* zoneinfo/America/Asuncion.ics:
	* zoneinfo/America/Boise.ics:
	* zoneinfo/America/Cambridge_Bay.ics:
	* zoneinfo/America/Chicago.ics:
	* zoneinfo/America/Cuiaba.ics:
	* zoneinfo/America/Dawson.ics:
	* zoneinfo/America/Denver.ics:
	* zoneinfo/America/Detroit.ics:
	* zoneinfo/America/Edmonton.ics:
	* zoneinfo/America/Fortaleza.ics:
	* zoneinfo/America/Glace_Bay.ics:
	* zoneinfo/America/Goose_Bay.ics:
	* zoneinfo/America/Halifax.ics:
	* zoneinfo/America/Indiana/Indianapolis.ics:
	* zoneinfo/America/Indiana/Knox.ics:
	* zoneinfo/America/Indiana/Marengo.ics:
	* zoneinfo/America/Indiana/Vevay.ics:
	* zoneinfo/America/Inuvik.ics:
	* zoneinfo/America/Iqaluit.ics:
	* zoneinfo/America/Juneau.ics:
	* zoneinfo/America/Kentucky/Louisville.ics:
	* zoneinfo/America/Kentucky/Monticello.ics:
	* zoneinfo/America/Los_Angeles.ics:
	* zoneinfo/America/Maceio.ics:
	* zoneinfo/America/Menominee.ics:
	* zoneinfo/America/Miquelon.ics:
	* zoneinfo/America/Montevideo.ics:
	* zoneinfo/America/Montreal.ics:
	* zoneinfo/America/Nassau.ics:
	* zoneinfo/America/New_York.ics:
	* zoneinfo/America/Nipigon.ics:
	* zoneinfo/America/Nome.ics:
	* zoneinfo/America/North_Dakota/Center.ics:
	* zoneinfo/America/Pangnirtung.ics:
	* zoneinfo/America/Port-au-Prince.ics:
	* zoneinfo/America/Rainy_River.ics:
	* zoneinfo/America/Rankin_Inlet.ics:
	* zoneinfo/America/Recife.ics:
	* zoneinfo/America/Sao_Paulo.ics:
	* zoneinfo/America/Shiprock.ics:
	* zoneinfo/America/St_Johns.ics:
	* zoneinfo/America/Thule.ics:
	* zoneinfo/America/Thunder_Bay.ics:
	* zoneinfo/America/Vancouver.ics:
	* zoneinfo/America/Whitehorse.ics:
	* zoneinfo/America/Winnipeg.ics:
	* zoneinfo/America/Yakutat.ics:
	* zoneinfo/America/Yellowknife.ics:
	* zoneinfo/Asia/Almaty.ics:
	* zoneinfo/Asia/Amman.ics:
	* zoneinfo/Asia/Aqtau.ics:
	* zoneinfo/Asia/Aqtobe.ics:
	* zoneinfo/Asia/Baku.ics:
	* zoneinfo/Asia/Bishkek.ics:
	* zoneinfo/Asia/Choibalsan.ics:
	* zoneinfo/Asia/Colombo.ics:
	* zoneinfo/Asia/Damascus.ics:
	* zoneinfo/Asia/Dili.ics:
	* zoneinfo/Asia/Gaza.ics:
	* zoneinfo/Asia/Hovd.ics:
	* zoneinfo/Asia/Istanbul.ics:
	* zoneinfo/Asia/Jerusalem.ics:
	* zoneinfo/Asia/Karachi.ics:
	* zoneinfo/Asia/Tbilisi.ics:
	* zoneinfo/Asia/Tehran.ics:
	* zoneinfo/Asia/Ulaanbaatar.ics:
	* zoneinfo/Atlantic/Bermuda.ics:
	* zoneinfo/Australia/Adelaide.ics:
	* zoneinfo/Australia/Broken_Hill.ics:
	* zoneinfo/Australia/Hobart.ics:
	* zoneinfo/Australia/Lord_Howe.ics:
	* zoneinfo/Australia/Melbourne.ics:
	* zoneinfo/Australia/Perth.ics:
	* zoneinfo/Australia/Sydney.ics:
	* zoneinfo/Europe/Istanbul.ics:
	* zoneinfo/Europe/Vilnius.ics:
	* zoneinfo/Pacific/Chatham.ics:
	* zoneinfo/Pacific/Tongatapu.ics: Updated timezone information.

2006-12-03  Harish Krishnaswamy  <kharish@novell.com>

	* calendar/libical/src/libical/icalvalue.c:
	(icalvalue_decode_ical_string): Fix a potential buffer
	over-run.

2006-09-21  Chenthill Palanisamy  <pchenthill@novell.com>

	* zoneinfo/Asia/Jerusalem.ics: Updated the right
	timezone for Jerusalem.

2006-08-28  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #301363
	* zoneinfo/America/Los_Angeles.ics:
	* zoneinfo/Asia/Jerusalem.ics: Updating the timezone
	information.

	Committing the patch from Roozbeh Pournader <roozbeh@farsiweb.info>

2006-08-14  Ricardo Markiewicz <rmarkie@fi.uba.ar>

	reviewed by: Harish Krishnaswamy

	* src/libical/icalmime.c: (icalmime_text_end_part):
	use after dereference. Fixes #335251.

2006-08-07  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #349078
	* zoneinfo/Asia/Choibalsan.ics:
	* zoneinfo/Asia/Hovd.ics:
	* zoneinfo/Asia/Ulaanbaatar.ics: Updated the timezone information.

	Committing on behalf of DULMANDAKH Sukhbaatar <dulmandakh@gmail.com>

2006-06-16  Tor Lillqvist  <tml@novell.com>

	* src/libical/icaltimezone.c: Add gmtime_r() macro implementadion
	for Win32.

2006-06-15  Harish Krishnaswamy  <kharish@novell.com>

	* src/libical/icalvalue.[ch] (icalvalue_decode_ical_string):
	Add a function to decode an icalstring and restore escaped
	characters in original form.

2006-06-15  Andre Klapper  <a9016009@gmx.de>

	* zoneinfo/Asia/Columbo.ics:
	update timezone info. Fixes bug #344978.

2006-06-14  Srinivasa Ragavan  <sragavan@novell.com>

	* src/libical/icaltimezone.c: Added a new api to get the location from
	the offset and the TZNAME.
	(icaltimezone_get_vtimezone_properties), (tm_to_icaltimetype),
	(get_offset), (icaltimezone_get_builtin_timezone_from_offset),
	(icaltimezone_load_builtin_timezone):
	* src/libical/icaltimezone.h:

2006-05-12  Nancy Cai <nancy.cai@sun.com>

	* src/libical/icaltimezone.c: (icaltimezone_get_builtin_timezone):
	init time zone first if builtin_timezones is NULL, before checking
	location.
	Fixes #333594.

2006-02-13  Chenthill Palanisamy  <pchenthill@novell.com>

	* src/libical/icalrecur.c: (icalrecurrencetype_as_string): Check
	if the week start is set before getting the value.
	Fixes #330215.

2005-12-13  Tor Lillqvist  <tml@novell.com>

	* src/test/regression-utils.c (ical_timet_string): Don't crash if
	gmtime() returns NULL.

	* src/test/testmime.c: No sleep() in the MSFT C library, use
	_sleep() (which takes milliseconds).

2005-11-28  Tor Lillqvist  <tml@novell.com>

	* src/libical/icaltime.c (icaltime_as_timet_with_zone): On Windows
	we must call tzset() after setting the TZ environment variable.
	The mktime() in Microsoft's C library calls tzset() internally
	just the first time it's called.

	* src/libical/icaltimezone.c (get_zone_directory): On Windows look
	up the zoneinfo directory at run-time. The code previously used
	the built-in pathname /Projects/libical for PACKAGE_DATA_DIR on
	Windows, and not even the one from the configure script, huh?

2005-10-27  Harish Krishnaswamy  <kharish@novell.com>

	* zoneinfo/zones.tab: Correct typo on Macao.
	Fixes #317804

2005-09-27  Dinesh Layek <ldinesh@novell.com>
	Fixes bug#272176
	* src/libical/icalparser.c (icalparser_add_line): removed the
	leading and trailing white spaces of the string to be parse
	* scripts/mkderivedvalues.pl: changed the code to make the
	functions, which returns a string, return NULL on NULL input.

2005-09-20  Irene Huang <Irene.Huang@sun.com>

	* src/libical/icalcomponent.c: (icalcomponent_get_datetime):
	icaltimezone_get_builtin_timezone(tzid) was replaced by 
	icaltimezone_get_builtin_timezone_from_tzid(tzid), which is the correct 
	function to retrive timezone information from tzid

2005-09-15  Tor Lillqvist  <tml@novell.com>

	* src/libical/vsnprintf.c: No reason not to include config.h also
	on Win32.

	* src/libicalvcal/icalvcal.c (get_alarm_properties): Add comment
	about brokenness of the code on Win32.

2005-09-05  P. S. Chakravarthi <pchakravarthi@novell.com>

	Fixes #312462
	* src/libical/icaltime.c (set_tz), (unset_tz) : make
       the functions thread safe.

2005-08-25  Harish Krishnaswamy  <kharish@novell.com>

	Fix submitted by David Malcolm <dmalcolm@redhat.com>
	
	* src/libical/vsnprintf.c: Revert the earlier patch which
	borks the build.

2005-08-22  Not Zed  <NotZed@Ximian.com>

	* src/libicalvcal/icalvcal.c (rrule_parse_weekly_days): init e to
	something before using it.
	(rrule_parse_monthly_positions): init only_weekday to remove
	spurious warning.
	(rrule_parse_monthly_positions): init e to something.
	(rule_prop): remove unused vars.
	(dc_prop): remove unused vars.

	* src/libicalss/icalfileset.c (icalfileset_begin_component)
	(icalfileset_form_a_matched_recurrence_component)
	(icalfilesetiter_to_next): () to remove warning.

	* src/libical/icaltypes.c (icaltriggertype_from_string): set es
	before using it.

	* src/libical/icaltime.c (icaltime_from_timet_with_zone)
	(icaltime_as_timet_with_zone, icaltime_convert_to_zone)
	(icaltime_get_tzid): cast away warnings.

	* src/libical/icalerror.c: fix this strange function to always
	return something.

2005-08-12  Tor Lillqvist  <tml@novell.com>

	* src/libical/Makefile.am (libical_evolution_la_LIBADD): Add
	PTHREAD_LIBS.

2005-08-11  Tor Lillqvist  <tml@novell.com>

	* configure.in: Check for Win32, define Automake conditional OS_WIN32.

	* src/libical/icalrecur.c: No need to define intptr_t on Win32, it
	is defined in the mingw headers.

	* src/libical/vsnprintf.c: Hmm, redo the ifdefs a bit to bypass
	this on Win32, it doesn't compile, and doesn't seem to be needed.

	* src/libicalss/icalcalendar.c
	* src/test/regression.c: Handle the different prototype for
	mkdir() on Win32.

	* src/libicalss/icalmessage.c (icalmessage_new_reply_base): Remove
	bogus Win32 ifdef.

	* src/test/Makefile.am: Don't build stow on Win32.

	* src/test/copycluster.c: Conditionalize use of SIGALRM.

2005-03-09  Not Zed  <NotZed@Ximian.com>

	* src/libical/icaltime.c (unset_tz): uncomment out free'ing code.

2005-01-08  Not Zed  <NotZed@Ximian.com>

	* src/libicalss/icalfileset.c (icalfileset_read_from_file)
	(icalfileset_read_file): pass the icalfileset to the callback
	rather than cast the fd to/from a pointer.

2004-12-20  Rodrigo Moya <rodrigo@novell.com>

	* src/libical/icaltime.c (set_tz): uncomment free() call that was
	commented because of a crash that does not happen anymore.

2004-10-27  Julio M. Merino Vidal <jmmv@menta.net>

	* configure.in: search for unsetenv.

	* src/libical/icaltime.c (unset_tz): use unsetenv when available.

2004-10-15  Rodney Dawes  <dobey@novell.com>

	* configure.in: Call AC_CONFIG_AUX_DIR() before AM_INIT_AUTOMAKE
	This is ordering is required by automake 1.9

2004-09-03  Rodrigo Moya <rodrigo@novell.com>

	Fixes crash in #57443

	* src/libical/icalerror.c (icalerror_errors_are_fatal): s/#ifdef/#if,
	so that we check against the value, not the definition being available.

2004-08-02  Not Zed  <NotZed@Ximian.com>

	* src/libicalvcal/vcc.y: re-alloc when we reach the buffer length,
	not one past it.  Fixes an ABW.

2004-05-13  Phil Goembel <phil-goembel@wi.rr.com>

	* src/libical/icalparser.c (icalparser_get_line): accept tab and
	space as continuation character, bug #55561.

2004-04-01  JP Rosevear <jpr@ximian.com>

	Fixes #55984
	
	* src/libical/icaltime.c (icaltime_as_timet_with_zone): copy the
	icaltimetype to a local struct and use that

2004-02-26  JP Rosevear <jpr@ximian.com>

	* configure.in: don't ac_output python and java dirs

	* src/Makefile.am: remove python and java dirs

2004-02-23  JP Rosevear <jpr@ximian.com>

	* zoneinfo/Makefile.am: uninstall the zone files

	* src/libical/Makefile.am: make sure icalversion.h gets cleaned
	and icalrestrication is found in the builddir

	* src/test/Makefile.am: add includes for srcdir != builddir, add
	define to locate test source calendar, clean up files 

	* src/test/process.c: make sure to load the sources from the right
	spot

	* src/test/regression-recur.c: ditto
	
	* src/test/regression-classify.c: ditto

	* src/test/regression.c: ditto

	* src/test/test-classify.c: ditto	

	* src/libicalvcal/Makefile.am: add includes for srcdir != builddir

	* Makefile.am: ditto

	* examples/Makefile.am: ditto

2004-02-12  Hans Petter Jansson  <hpj@ximian.com>

	* src/libicalvcal/vcc.y (enterValues): Allocate space for the string
	terminator. Fixes mem corruption.

2004-02-04  JP Rosevear <jpr@ximian.com>

	* src/libicalvcal/icalvcal.c (icalvcal_traverse_objects): just
	return on unknown property

2004-01-09 Harish K <kharish@novell.com>
        * src/libical/icaltime.c: allow separators in ISO 8601
        strings.

2004-01-08  JP Rosevear <jpr@ximian.com>

	* src/libical/icaltime.c (icaltime_from_string): a date is a
	floating time
	(icaltime_as_timet_with_zone): revert to the right thing

2004-01-07  JP Rosevear <jpr@ximian.com>

	* src/libical/icaltime.c: revert icaltime_as_timet_with_zone and
	icaltime_from_timet_with_zone to previous versions as these
	version always use the machine timezone

2003-11-05  JP Rosevear <jpr@ximian.com>

	* src/libical/Makefile.am: ditto

	* src/libicalvcal/Makefile.am: ditto

	* src/libicalss/Makefile.am: don't install the library

2003-11-04  JP Rosevear <jpr@ximian.com>

	* src/libicalvcal/Makefile.am: install headers

2003-10-24  Dan Winship  <danw@ximian.com>

	* configure.in: add AM_DISABLE_STATIC here too.

2003-10-23  Dan Winship  <danw@ximian.com>

	* src/libical/Makefile.am (libical_evolutioninclude_HEADERS):
	install all of the headers that ical.h now #includes

2003-10-15  Rodrigo Moya <rodrigo@ximian.com>

	* src/libicalss/icalssyacc.y: re-added missing header.

	* src/libical/ical.h: added from HEAD.

2003-10-09  Jeffrey Stedfast  <fejj@ximian.com>

	* src/libical/Makefile.am: Fixed INCLUDES and don't autogenerate
	ical.h, no need to. Plus it caused problems anyways.

	* src/libical/*.[c,h]: Fixed the #includes

	* src/libicalss/Makefile.am: Fixed INCLUDES and don't autogenerate
	icalss.h, no need to. Plus it caused problems anyways.

	* src/libicalss/*.[c,h]: Fixed the #includes

	* tests/*.c: #include <libical/ical.h> rather
	than "ical.h"

	* tests/Makefile.am: Fixed INCLUDES

	* examples/*.c: #include <libical/ical.h> rather
	than "ical.h"

	* examples/Makefile.am: Fixed INCLUDES

	* src/libicalvcal/icalvcal.h: #include <libical/ical.h> which is
	no longer autogenerated.

	* src/libicalvcal/icalvcal.c (icalvcal_convert_with_defaults): Use
	the proper macro names from config.h

2003-10-07  Dan Winship  <danw@ximian.com>

	* src/libical/Makefile.am: Remove libical-static

	* src/libicalcap/Makefile.am: and libicalcap-static

2003-09-23  Hans Petter Jansson  <hpj@ximian.com>

	* configure.in: Remove flex check. Set ICAL_ERRORS_ARE_FATAL to 0.

	* src/libicalss/icalgauge.c (icalgauge_new_from_sql): Don't use
	globals struct. Remove calls to sslex_init(), _extra(),
	ss_scan_string(). Use a global pointer icalss_yy_gauge to hold context.
	Call ssparse() with no arguments.

	* src/libicalss/icalsslexer.l: Remove options reentrant and
	bison-bridge. Rename variables, change function invocations to comply
	with flex 2.5.4.
	(icalss_input): Add function to read input.

	* src/libicalss/icalssyacc.y (yyextra): Remove.
	(select_list)
	(from_list)
	(where_clause)
	(where_list): yyextra -> icalss_yy_gauge

	* src/libicalss/icalsslexer.c:
	* src/libicalss/icalssyacc.c:
	* src/libicalss/icalssyacc.h: Add generated files back to repository.
	They don't belong there, but that's not my problem.

2003-09-22  Hans Petter Jansson  <hpj@ximian.com>

	* src/libicalcap/Makefile.am (LDADD): Remove $(cxx_libs), it's
	undefined.

2003-09-22  Hans Petter Jansson  <hpj@ximian.com>

	* configure.in: Require flex 2.5.31 and add a test for it. Rename
	WITH_CXX conditional to WITH_CXX_BINDINGS.

	* examples/Makefile.am (doesnothing_LDADD): Add -evolution to lib
	names.

	* src/test/Makefile.am: WITH_CXX -> WITH_CXX_BINDINGS. Add -evolution
	to lib names.

	* src/test/regression.c (main): WITH_CXX -> WITH_CXX_BINDINGS.

	* src/libicalcap/Makefile.am: Add -evolution to lib names. Install to
	Evolution's priv dirs.

	* src/libicalvcal/Makefile.am: Ditto.

	* src/libical/Makefile.am: WITH_CXX -> WITH_CXX_BINDINGS. Add
	-evolution to lib names. Install in privlibdir. Install includes to
	$(privincludedir)/libical.

	* src/libicalss/Makefile.am: Ditto.

	* src/libicalss/icalsslexer.l: Replace option reentrant-bison with
	reentrant and bison-bridge. Use new Flex variable names.

	* src/libical/icallexer.l:
	* src/libical/icalyacc.y:
	* src/libicalss/icalsslexer.c:
	* src/libicalss/icalssyacc.c:
	* src/libicalss/icalssyacc.h: Removed from repository.

2003-09-12  Hans Petter Jansson  <hpj@ximian.com>

	* configure.in: Subst in Evolution install variables.

	* src/libical/Makefile.am (CPPFLAGS): Use Evolution's privdatadir.

2002-07-09  Andrea Campi  <a.campi@inet.it>

	* src/libical/icalcomponent.c
	* src/libical/icalcomponent.h: Added a check for valid component kind
	before instancing a new one.

2002-07-08  Andrea Campi  <a.campi@inet.it>

	* src/python/Gauge.py
	* src/python/LibicalWrap.i
	* src/python/Property.py
	* src/python/Store.py
	* src/python/Time.py
	* src/python/python-binding.txt
	* src/python/test.py: Updated the python bindings to match the C API
	changes.
	Obtained from: Mark Tearle

2002-07-04  Andrea Campi  <a.campi@inet.it>

	* src/libical/icalderivedproperty.c.in
	* src/libical/icalproperty.c
	* src/libical/icalproperty.h: Added a check for valid property kind
	before instancing a new one.

	* src/libical/icalvalue.c: Fixed icalvalue_new_clone to properly clone
	X- properties.

2002-06-28  Andrea Campi  <a.campi@inet.it>

	* design-data/parameters.csv
	* src/libicalss/icalgauge.c
	* src/libicalss/icalgaugeimpl.h
	* src/libicalss/icalsslexer.c
	* src/libicalss/icalsslexer.l
	* src/libicalss/icalssyacc.c
	* src/libicalss/icalssyacc.h
	* src/libicalss/icalssyacc.y: Added IS NULL to icalgauge
	syntax.
	Obtained from: Paul Lindner

	* src/libical/icallexer.c
	* src/libical/icallexer.l
	* src/libical/icalyacc.c
	* src/libical/icalyacc.h
	* src/libical/icalyacc.y: Sent lex/yacc code to Attic.

	* src/libical/icalparameter.c: Changed icalparameter_as_ical_string
	to also quote the param value if it contains a , (comma), as per RFC2445.

	* src/libicalss/icalset.c
	* src/libicalss/icalset.h: Added experimental code to support
	dynamic loading of icalset derived classes.

	* src/libicalss/Makefile.am
	* src/libicalss/icalspanlist_cxx.cpp
	* src/libicalss/icalspanlist_cxx.h: Added C++ binding for libicalss.
	Obtained from: Paul Lindner

2002-06-28  Eric Busboom  <eric@softwarestudio.org>

	* src/libical/Makefile.am
	* src/libical/icalduration.c
	* src/libical/icalparser.c
	* src/libical/icalvalue.c
	* src/libical/icalyacc.c
	* src/libical/icalyacc.h: removed lex and yacc by writing
	code to parse UTC-OFFSET

2002-06-27  Andrea Campi  <a.campi@inet.it>

	* src/libical/icalcomponent.c
	* src/libical/icalcomponent.h: Added icalcomponent_foreach_recurrence
	as a better way of handling recurrences; deprecated
	icalcomponent_get_span
	Obtained from: Paul Lindner

	* src/libical/icalderivedvalue.c.in
	* src/libical/icalvalue.c
	* src/libical/icalvalue.h: Added a check for valid value kind before
	instancing a new one.
	Obtained from: Paul Lindner

	* src/libical/icalproperty.c
	* src/libical/icalproperty.h: Deprecated icalproperty_remove_parameter,
	added 3 new functions to do the same in a safer way (wrt X- params).
	Obtained from: Paul Lindner

	* src/libical/icaltime.c
	* src/libical/icaltime.h: Added functions to work with time spans.
	Obtained from: Paul Lindner

2002-06-26  Andrea Campi  <a.campi@inet.it>

	* src/libical/icalduration.c: Fixed icaldurationtype_from_int to
	generate valid RFC2445 durations (it used to mix weeks and other
	time units).

2002-06-13  Andrea Campi  <a.campi@inet.it>

	* src/libical/icalvalue.c: Fixed escaping of TEXT values and
	formatting of UTCOFFSET values to more closely match RFC2445.

	* configure.in
	* src/libical/Makefile.am
	* src/libical/icalparameter_cxx.cpp
	* src/libical/icalparameter_cxx.h
	* src/libical/icalproperty_cxx.cpp
	* src/libical/icalproperty_cxx.h
	* src/libical/icalvalue_cxx.cpp
	* src/libical/icalvalue_cxx.h
	* src/libical/vcomponent.cpp
	* src/libical/vcomponent.h
	* src/libicalss/icalbdbset_cxx.h: Added C++ binding.
	Obtained from: Paul Lindner

	* configure.in
	* src/libicalss/Makefile.am
	* src/libicalss/icalbdbset.c
	* src/libicalss/icalbdbset.h
	* src/libicalss/icalbdbset.h
	* src/libicalss/icalbdbsetimpl.h
	* src/test/Makefile.am
	* src/test/storage.c: Added BerkeleyDB 4.0 icalset implementation.
	Obtained from: Paul Lindner

2002-06-11  Andrea Campi  <a.campi@inet.it>

	* src/test/Makefile.am
	* src/test/regression-classify.c
	* src/test/regression-component.c
	* src/test/regression-recur.c
	* src/test/regression-utils.c
	* src/test/regression.c
	* src/test/regression.h
	* src/test/test_fileset.ics: New regression test suite
	Obtained from: Paul Lindner

	* src/libical/icalcomponent.c
	* src/libical/icalproperty.c
	* src/libical/icalproperty.h
	* src/python/test.py
	* src/test/regression.c: Improved X- parameter handling.
	Obtained from: Mark Tearle

2002-06-07  Andrea Campi  <a.campi@inet.it>

	* configure.in
	* src/libical/Makefile.am
	* src/libical/icallexer.l
	* src/libical/icalparser.c
	* src/libical/icalparser.h
	* src/libical/icalyacc.y
	* src/libicalss/Makefile.am
	* src/libicalss/icalgauge.c
	* src/libicalss/icalsslexer.c
	* src/libicalss/icalsslexer.l
	* src/libicalss/icalssyacc.c
	* src/libicalss/icalssyacc.h
	* src/libicalss/icalssyacc.y: Made parser fully reentrant using
	recent versions of flex/bison. Also committed the generated files
	so that the library can be compiled even without those tools.
	Obtained from: Paul Lindner

	* src/python/LibicalWrap.i
	* src/python/Property.py
	* src/python/test.py: Support X- properties in the Python wrapper.
	Obtained from: Mark Tearle

2002-06-04  Andrea Campi  <a.campi@inet.it>

	* *: Constifed a lot of functions, also made a few of them static
	Obtained from: Paul Lindner <lindner@inuus.com>

2002-06-03  Andrea Campi  <a.campi@inet.it>
	* src/libical/icallangbind.c
	* src/python/Component.py
	* src/python/Gauge.py
	* src/python/Libical.py
	* src/python/LibicalWrap.i
	* src/python/Store.py
	* src/python/test.py: Fully implemented FileStore and Gauge
	in the python bindings.
	Obtained from: Mark Tearle <mtearle@tearle.com>

2002-05-28  Andrea Campi  <a.campi@inet.it>

	* src/libical/icalattach.c
	* src/libical/icalattach.h
	* src/libical/icalattachimpl.h
	* src/libical/icalderivedproperty.c.in
	* src/libical/icalderivedvalue.c.in
	* src/libical/icalderivedvalue.h.in
	* src/libical/icaltypes.c
	* src/libical/icaltypes.h
	* src/libical/icalvalue.c
	* src/libical/icalvalueimpl.h: Changed ATTACH to be an opaque type

2002-05-27  Eric Busboom  <eric@softwarestudio.org>

	* scripts/mkderivedparameters.pl
	* scripts/mkderivedproperties.pl
	* scripts/mkderivedvalues.pl
	* src/libical/icalderivedparameter.c.in
	* src/libical/icalderivedparameter.h.in
	* src/libical/icalderivedproperty.c.in
	* src/libical/icalderivedproperty.h.in
	* src/libical/icalderivedvalue.c.in
	* src/libical/icalderivedvalue.h.in: changed the auto generated
	files and scripts so that the generated code is inserted into the
	middle of the template (.in) file, instead of the end. This means
	we could get rid of the declaration for the maps.

2002-05-27  Andrea Campi  <a.campi@inet.it>

	* src/libical/icaltimezone.c: Worked around Outlook/Exchange brokenness.
	Obtained from: evolution CVS repository

2002-05-24  Andrea Campi  <a.campi@inet.it>

	* src/libical/icalproperty.c: Implemented proper RFC2445 folding.
	Obtained from: evolution CVS repository

	* src/libical/icalrecur.c: Worked around Outlook/Exchange brokenness.
	Obtained from: evolution CVS repository


2002-05-21  Andrea Campi  <a.campi@inet.it>

	* src/libical/*: Removed void * in favor of opaque typedef types.
	This helped uncover a few bugs and made debugging easier.
	Obtained from: Paul Lindner

2002-05-10  Andrea Campi  <a.campi@inet.it>

	* src/libical/icalmemory.c: Made the memory allocator threadsafe.
	This code is currently conditional on USE_THREAD, but it might
	become the default in the future.
	Obtained from: Paul Lindner

	* src/libical/icaltime.c: Implemented icaltime_is_date(), with the
	intent of removing all direct accesses to is_date.

2002-05-09  Andrea Campi  <a.campi@inet.it>

	* icaltime.c Rewrote and documented icaltime API, with the goal of
	keeping it stable until release 1.0. Some functions and internal
	implementation details are now declared obsolete and removed from
	the documentation; they will be removed at a later time.

2001-12-12  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c implemented recurrence rule for "FREQ=YEARLY",
	with no BY rules.

2001-12-11  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c Fixed bug in next_month for MONTHLY rules that have
	only BYDAY rules. The code would miss valid dates that fell on the
	first of the month. created new routine is_day_in_byday()

	* icaltime.c Fixed icaltime_from_day_of_year to correctly handle 
	negative and over-range day-of-years

	* icaltime.c collected all instances of leap year code into
	icaltime_is_leap_year

	* icaltime.c icaltime_day_of_year. Changed an assert into code
	that advances the year when the day of year is lager than the
	number of days in the given year

	* icalerrno.c,h Added the function version
	icalerror_set_errno. Only the define verson existed.

	* icaltime.c Moved all of the getenv/putenv operations into icaltimegm()
	
2001-06-29  Eric Busboom  <eric@softwarestudio.org>

	* icalderivedproperties.h,c Changed the signature if the CLASS
	property from TEXT to CLASS. ( enum icalproperty_class) 

2001-06-22  Eric Busboom  <eric@softwarestudio.org>

	* icaltypes.c Fixed bug in icaltriggertype_new_from_string htat
	caused it to fail.

2001-04-12  Eric Busboom  <eric@softwarestudio.org>

	* icalvalue.c Added quoting to apostrophies ("'") in text
 	values. This is not required by the spec, but it is necessary in
 	icallangbind_property_eval_string, since ' is special in both perl
 	and python.

2001-04-10  Eric Busboom  <eric@softwarestudio.org>

	* icalvalue.c Added routine icalvalue_reset_kind. This routine is
 	now called by all autogenerated icalvalue_set_*
 	routines. icalvalue_reset_kind() will change the kind of the value
 	based on the data in the value. Currently, it will set a value to
 	either DATETIME or DATE based on the is_date flag of icaltimetype.

2001-04-09  Eric Busboom  <eric@softwarestudio.org>

	* icalproperty.h Converted REQUEST-STATUS to use the struct
 	icalreqstat structure instead of a string

2001-04-01  Eric Busboom  <eric@softwarestudio.org>

	* icalcomponent.h Changed meaning of
 	icalcomponent_new_from_string. It used to create a new component
 	given the text name of the component type to create. Now it calls
 	icalparser_parse_string to create a new component from the
 	complete iCalendar text representation of the component.

2001-03-31  Eric Busboom  <eric@softwarestudio.org>

	* icalvalue Changed ACTION properties to take an ACTION value
 	instead of TEXT. The ACTION value is enumerated.

2001-03-26  Eric Busboom  <eric@softwarestudio.org>

	* icalparameter.h icalparameter_rsvp_* routines now take, return
 	ICAL_RSVP_TRUE and ICAL_RSVP_FALSE, not 0 and 1

2001-03-25  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c Many changes to get YEARLY rules working and fix
 	other errors. Recurrences are stil broken, but more types of rue
 	now work.

2001-03-16  Eric Busboom  <eric@softwarestudio.org>

	* icalparameter.c Changed icalparameter_new_from_string() to
 	icalparameter_new_from_value_string(). Created new
 	icalparameter_new_from_string() that takes strings of
 	form"PARAMNAME=PARAMVALUE"

	* *_XNAME changes all _XNAME enumerations to _X

	* derived props, values, parameters. Seperated out derived
 	proeprties, parameters and values into their own files. This makes
 	it easier to auto generate all of the enumerations for values,
 	parameters and proeprties.

	* icalenum.h Major changes to icalenum. Movel all of the
 	icalenum_* values to other modules, and changed the names. Look
 	for #defines in icalenum.h tying the old name to the new
 	name. Also moved all of the enumerations into other files.

	
	
2001-02-26  Eric Busboom  <eric@softwarestudio.org>

	* src/libical/icalproperty.c Added
 	icalproperty_set_parameter_from_string and
 	icalproperty_set_value_from_string to aid in binding to Python 

2001-02-15  Eric Busboom  <eric@softwarestudio.org>

	* design-data/prop-to-value.txt Made a new CSV file,
 	properties.cvs That collects property-to-value and default value
 	information

	* src/libical/icalproperty.{c,h}.in Moved auto generated code into
 	icalderivedproperty.{c,h} and created icalderivedproperty.{c,h}.in

	

2001-02-14  JP Rosevear  <jpr@ximian.com>

	* src/libical/Makefile.am: Sigh, automake is dumber than i thought

2001-02-12  JP Rosevear  <jpr@ximian.com>

	* src/test/Makefile.am: link with the static versions

	* src/python/Makefile.am: use include dir discovered in configure checks

	* src/python/.cvsignore: shush

	* src/libical/icalrestriction.c: remove autogenerated file
	
	* src/libical/Makefile.am: the generated files are now disted so
	look for them in the source dir rather than the build dir

	* src/Makefile.am: Only build the python dir if all the configure
	stuff checked out

	* configure.in: Remove shared library disabling and add a python
	check and allow for the python bindings to not be built

2001-02-11  Eric Busboom  <eric@softwarestudio.org>

	* src/python/Makefile.am Tweaked makefile to use automake more,
 	but it stil isn't quie right.

2001-02-09  JP Rosevear  <jpr@ximian.com>

	* Shush cvs
	
2001-02-09  JP Rosevear  <jpr@ximian.com>

	* src/libical/Makefile.am: Slightly over zealous during the merge
	
2001-02-09  JP Rosevear  <jpr@ximian.com>

	* src/libical/Makefile.am: Correct typo

	* Removal of more auto generated files
	
2001-02-09  JP Rosevear  <jpr@ximian.com>

	* Removal of various auto generated files
	
2001-02-09  JP Rosevear  <jpr@ximian.com>

	* src/libical/icalparameter.c.in (icalparameter_new_from_string):
	its NEEDS-ACTION rather than NEEDSACTION
	(icalparameter_as_ical_string): ditto

2001-02-09  Eric Busboom  <eric@softwarestudio.org>

	* python Added src/python directory. Inserted SWIG wrapper files,
 	and a simple interface to Component, Time, Duration, Period and
 	Store.

	* icallangbind.c More experimental work

	* icalduration.{c,h}, icalperiod.{c,h} Broke out period and
 	duration types into their own files

2001-02-06  Christopher James Lahey  <clahey@ximian.com>

	* src/libical/icallangbind.c: Added a missing #include here.

	* src/libical/icalrecur.c (icalrecur_add_bydayrules): Copy the
	passed in const vals since we change it.
	
2001-02-06  Eric Busboom  <eric@softwarestudio.org>

	* icaltime.c Changed icaltime_from_day_of_year to run mktime in
 	the UTC timezone. This fixed a bug where it would return one day
 	eariler for some timezones.

2001-02-05  Ettore Perazzoli  <ettore@ximian.com>

	* src/libical/Makefile.am (COMBINEDHEADERS): `icalvalue.h',
	`icalparameter.h', `icalproperty.h' and `icalrestriction.h' are
	created in the builddir so they shouldn't be prefixed with
	`$(top_builddir)/src/libical'.
	
2001-01-26  Eric Busboom  <eric@softwarestudio.org>

	* icalproperty.c.in Improved icalproperty_as_ical_string() to
 	eliminate the possibility of having a VALUE parameter that does
 	not match the actual kind of value.

	* icalvalue.c.in made icalvalue_*_trigger() and
 	icalvalue_*_datetimeperiod non-autogenerated. These routines were
 	for combined value type -- non standard values that can have more
 	than on standard value type. These non-standard types now delegate
 	to stadard types.

2001-01-24  Eric Busboom  <eric@softwarestudio.org>

	* icalfileset.c fixed icalfileset_read-from_file so it will handle
 	lines longer than 80 char properly.

2001-01-23  JP Rosevear  <jpr@ximian.com>

	* configure.in: Don't AC_INIT on an autogenerated file that does not
	exist beforehand
	
2001-01-23  Eric Busboom  <eric@softwarestudio.org>

	* icltime.c Removed all of the _local_ routines and simplified
 	icaltime_utc_offset and icaltime_as_timet

	* regression.c Added tests for triggers and improvements to icaltime.c

	* icaltypes.c Addedd icaltriggertype_from_string and changed
 	icaltriggertype to be a struct

2001-01-22  Eric Busboom  <eric@softwarestudio.org>

	* icaltime.c implemented icaldurationtype_from_string to parse the
 	string it self, rather than use lex/yacc

2001-01-15  Eric Busboom  <eric@softwarestudio.org>

	* icalfileset.c Many improvements. File locking now works, and so
 	does searching with icalfileset_select()

2001-01-08  Eric Busboom  <eric@softwarestudio.org>

	* Makefile.am Remove spaces after -I in several 
	Makefile.am routines. 

	* icalset.c removed return statements from some void functions.

	* icalparameter.c.in Added break to default: case that had no
 	body. Compilers on Solaris and Tru64 UNIX complained.

2001-01-02  Eric Busboom  <eric@softwarestudio.org>

	* icaltime.c Changed icaldurationtype_from_time and _as_timet to
 	_from_int and _as_int. This is a change interface that may break
 	some code.

	* icalgauge.c icalgaugeimpl.h, icalgauge.h., Rewrote gauge code to
 	use pvl-lists directly, instead of trying to reuse icalcomponent.

2000-12-13  Ettore Perazzoli  <ettore@helixcode.com>

	* src/libicalvcal/Makefile.am (INCLUDES): Add
	`$(top_builddir)/src/libical' to the include directory list.

	* src/libical/Makefile.am (icalparameter.h): Use `$(srcdir)'.
	(icalparameter.c): Likewise.
	(icalproperty.h): Likewise.
	(icalproperty.c): Likewise.
	(icalvalue.h): Likewise.
	(icalvalue.c): Likewise.
	(icalrestriction.c): Likewise.
	(COMBINEDHEADERS): `icalvalue.h', `icalparameter.h' and
	`icalproperty.h' are in builddir, not srcdir, so fix the list to
	use `$(top_builddir)' instead of `$(top_srcdir)'.
	(all): Removed.
	(BUILT_SOURCES): Move `ical.h' here instead.
	(ical.h): Don't depend on `(BUILT_SOURCES)'; this a built source
	itself.
	
2000-12-12  Eric Busboom  <eric@softwarestudio.org>

	* icalparser.c Addedd support for x-parameters. 

	* icalenum.c Fixed icalenum_parameter_type_to_string and
 	icalenum_property_type_to_string to property identify X- parameers
 	and properties.

	* icalparameter.c Fixed icalparameter_as_ical_string to property
 	write out X-Parameters.

	
2000-12-11  Eric Busboom  <eric@softwarestudio.org>

	* icalcstp.c added empty bodies to prep_* routines so that shared
 	libraries would build.

2000-12-11  JP Rosevear  <jpr@helixcode.com>

	* src/libical/icaltime.c (icaltime_compare_date_only): New
	function that compares only the dates, not the times as well.

	* src/libical/icaltime.h: Add prototype for the function above.

	* src/libical/icalrecur.h (struct icalrecurrencetype): Correct
	header documentation.

	* src/libical/icaltypes.c: No longer include <limits.h>.

	* src/libical/icalrecur.c: Likewise.

	* src/libical/icalvalue.c: Likewise.

	* src/libical/icalyacc.y: Likewise.

2000-12-11  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in (AC_OUTPUT): Fixed order of generated files to make
	"make distcheck" work.  Turn on AM_MAINTAINER_MODE.

	* src/libical/Makefile.am (EXTRA_DIST): Add icalversion.h.in.
	(COMBINEDHEADERS): Added paths to make "make distcheck" work.
	(libical_la_SOURCES): Added headers for distribution in our weird
	setup.

2000-12-06  Eric Busboom  <eric@softwarestudio.org>

	* icaltime.c added icaltime_as_local to convert a UTC time to a
 	local time

	* icaltime.h icaltime.c Removed is_utc argument from
 	icaltime_from_timet

	
2000-11-29  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c More testing and bug fixes. Many more of the rules
 	in recur.txt work correctly.

2000-11-28  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c Several changes to extract icalrecur.c from
 	libical. I'd like to make it into a reference impl for recurrence
 	rules. CHanges include moving all of the recurrence type and
 	recurrence enums from icalenum and icaltypes into icalrecur, and
 	adding code to parse recurrence rule strings.

	* icaltime.c Changed icaltime_from_string to parse the string
 	directly. Now icaltime.c has no dependency on icalvalue.c

2000-11-21  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c Fixed a bug in the increment_* routines that made
 	incrementing by more then 1 insensible. Thanks to Martin Neimeier

2000-11-20  Eric Busboom  <eric@softwarestudio.org>

	* icalmessage.c Many routines to create new ical messages. 

	* icalspanlist.c Code to generate a list of the busy time f the
 	VEVENTS in a set. Also includes routiens to generate free and busy
 	lists from the spanlist, and to find the next free time after a
 	given time.

	* icalvalue.c The STATUS property now has its own value type,
 	STATUS, which holds the enumeration icalproperty_status.

	* icalrestriction.c Added more restrictions. Now handles mutual
 	and exclusive consitions, and checks for the reight values in
 	STATUS properties
	

2000-11-10  Eric Busboom  <eric@softwarestudio.org>

	* icaltypes.c Added routine to create durationtype from string:
 	icaldurationtype_from_string

2000-11-09  Eric Busboom  <eric@softwarestudio.org>

	* icalcomponet.c Add sever get/set convienience routines to access
 	and manipulate common component propoerties from the component
 	interface. This eliminates the need to create a lot of temporary
 	variables if you just want to change the start time of and event.

2000-11-06 Eric Busboom    <eric@softwarestudio.org>

	* icalcomponent.c Added new routines to icalcomponent:
	_get_span -- returns the start and end times of the event in UTC
	_get_first_real_component -- return ref to VTODO, VEVENT or VJOURNAL

	* icalspanlist.c Added new class, icalspanlist, that generates a
 	list of alternating busy and free times from an icalset. The class
 	includes routines to gnerate rfc2445 busy and free lists, and to
 	get the next avaliable busy or free time after a given time.

2000-11-06  Federico Mena Quintero  <federico@helixcode.com>
 
	* src/libical/icalvalue.c (icalvalue_recur_as_ical_string): Handle
	both the position and weekday in the by_day field.

2000-10-20  Eric Busboom  <eric@agony.busboom.org>

	* Const correctness. Added 'const' all over everywhere. 

2000-10-19  Eric Busboom  <eric@agony.busboom.org>

	* icalproperty, icalparameter, icalvalue .c, .h Changed most
	instances of char* to const char*

	* icalclassify.h Added multiple include protection

	* icalset.h and others, got rid of parameter named "new"
	
2000-10-15 Eric Busboom   <eric@softwarestudio.org>
	
	* icalcomponent Added convienience functions for constructing
 	components: icalcomponent_new_vcalendar(), etc.

	* Makefile.am Incorporated build system patch from Federico
 	Quintero. Misc small fixes and cleanup

	* scripts Incorporated auto-gen patch from Frederico. Generated
 	code in libical now uses icalproperty.c.in (etc) instead of
 	editing file icalparoperty.c in place.

	* libical. Changed flex/bison to use the -P/-p options to set
 	ical_yy as a prefix. Removed prefix redefinition from icalyacc.y
	
2000-10-12 Eric Busboom    <eric@softwarestudio.org>

	* icalproperty.c Fixed icalproperty_get_{first,next}_parameter to
 	honor the parameter kind argument

	* icalparameter.c Added, but did not complete, a new version of
 	icalparameters_from_string that does not use the hairy nested
 	case/switch statements of the previous version
	
	
2000-10-02 Eric Busboom  <eric@softwarestudio.org>

	* ical.h ical.h and icalss.h now are concatenations of all of the
 	public headers for their respective libraries. Thus, only ical.h,
 	icalss.h and icalvcal.h need to be installed.

2000-09-11  Eric Busboom  <eric@softwarestudio.org>

	* icalvcal.c Added more comments 
	
2000-08-31  JP Rosevear  <jpr@helixcode.com>

	* configure.in: Don't list config.h in AC_OUTPUT
	
2000-08-26  Ettore Perazzoli  <ettore@helixcode.com>

	* examples/Makefile.am (INCLUDES): More `$(srcdir)' loving.

	* src/libicalvcal/Makefile.am (INCLUDES): Add `-I
	$(srcdir)/../libical' for builddir != srcdir loving.

2000-08-25  Christopher James Lahey  <clahey@helixcode.com>

	* examples/access_properties_and_parameters.c,
	src/libicalvcal/vcc.y: Got rid of some warnings.

	* src/libicalvcal/vcc.c: Checking in generated C file.

2000-08-25  Christopher James Lahey  <clahey@helixcode.com>

	* src/libical/icalcomponent.c: Fixed an incorrect struct name.

2000-08-25  Peter Williams  <peterw@helixcode.com>

	* src/libical/icalcomponent.c (icalcomponent_end_component): Compile fix;
	use icalerror_check_arg_re so we can return an valid icalcompiter.
	(icalcomponent_begin_component): Same.

2000-08-24  Federico Mena Quintero  <federico@helixcode.com>

	* src/test/Makefile.am: Make it work.
	
2000-08-04  Eric Busboom  <eric@softwarestudio.org>

	* stow.c Changed stow to write data to a file ( icalfileset) not a
 	calendar. Also added MIME parsing capability

	* sspm.c Core of the mime processor. Now handles quoted-printable
 	and base64 encodings

	* icalmime.h New file that parses mime data and returns an
 	icalcomponent that includes all of the parts.

	
2000-07-26   Eric Busboom   <eric@softwarestudio.org>

	* icaldirset.h misc bug fixes to get deleting components to work

	* icalcomponent.h Eliminated internal use of _get_first_component
 	and _get_next_component, since these will reset the interal
 	iterators.

2000-07-23   Eric Busboom   <eric@softwarestudio.org>

	* icalcomponent.h Added external iterators to icalcomponent for
 	subcomponents: icalcompiter. These are still experimental, but they
 	seem to work OK and have a nice syntax

2000-07-18   Eric Busboom   <eric@softwarestudio.org>

	* icalset This is a new "superclass" for icalstore, icalcluster,
 	and others. It merges the interfaces of the old icalstore and
 	icalcluster

	* icalstore.{c,h} CHanged name to icaldirset

	* icalcluster.{c,h} Changed name to icalfileset
	

2000-06-12  Eric Busboom  <eric@softwarestudio.org>

	* icalstow.c misc improvements and bug fixes to make it useful.

2000-06-09  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c More extensive code changes for recurrence rule.

	* icalyacc.y Added support for integers in by day lists

2000-06-01  Eric Busboom  <eric@softwarestudio.org>

	* icalrecur.c moved recur code into new files

2000-05-30  Eric Busboom  <eric@softwarestudio.org>

	* icaltypes.c Extensive work on code to expand recurences

	* icaltypes.h Changed signature icaltimetype_from_timet to include
 	is_utc flag.
	

2000-03-17  Eric Busboom  <eric@softwarestudio.org>

	* icalstore.c Vastly improved icalstore_test. 

2000-03-16  Eric Busboom  <eric@softwarestudio.org>

	* icalcluster.c Added compile flag (ICAL_SAFESAVES) to switch how
 	icalcluster saves files during commits. When the flag is define,
 	it will write the data to a temorar file and rename the file to
 	the target file.

	* storage.c Added seterate test suite for sotage components

	* icalparser.c Created parser object, implemented line-oriented
 	parsering, and made message oriented parsing work in terms f line
 	oriented parsing.

	* icalparser.c Fixed icalparser_get_line to remove \r in input.
	

